require 'securerandom'

class AppleList
  def initialize(apples = {})
    @apples = apples
  end

  def add(apple)
    apple_id = SecureRandom.uuid
    @apples[apple_id] = apple
    apple(apple_id)
  end

  def index
    @apples.map { |id, apple| { id: id, name: apple.name } }
  end

  def has_apple?(id)
    @apples.key?(id)
  end

  def apple(id)
    {id: id}.merge(@apples[id])
  end
end